# Copyright (c) 2018 exstnce
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# File: dotfiles.rb
# Project: dotfiles-cli
# Author: exstnce (exstnce@protonmail.ch)
# Created on Friday, 6th July 2018 5:23:29 pm

require 'dotfiles/parse/options'

class App
  include Options
  # Creates ~/.config if not already exists
  Dir.mkdir(@@config) unless File.exists?(@@config)
  # Creates ~/Pictures if not already exists
  Dir.mkdir(@@pictures) unless File.exists?(@@pictures)

  # Creates ~/.dotfiles directory
  # App's root directory
  Dir.mkdir(@@dotfiles) &&
    FileUtils.chmod("u=xwr,go=xwr", @@dotfiles) unless File.exists?(@@dotfiles)

  # Creates ~/Scripts directory
  # Stores the custom scripts
  Dir.mkdir(@@scripts) &&
    FileUtils.chmod("u=xwr,go=xwr", @@scripts) unless File.exists?(@@scripts)

  def self.run
    Options.parse
  end
end