# Copyright (c) 2018 exstnce
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# File: response.rb
# Project: dotfiles-cli
# Author: exstnce (exstnce@protonmail.ch)
# Created on Sunday, 8th July 2018 4:37:56 pm

require 'colorize'

module Response
  def self.help
    puts 'Usage:'
    puts '  dotfiles install [LINK]'
    puts '  dotfiles use [NAME]'
    puts '  dotfiles save [NAME]'
    puts '  dotfiles delete [NAME]'
    puts 'Further help:'
    puts '  dotfiles help [COMMAND]'
  end

  def self.install
    puts "#{"Usage".cyan}: dotfiles install \"https://github.com/username/dotfiles\""
    puts
    puts ' Installs a remote repository.'
    puts ' Contents can be found in ~/.dotfiles'
    puts
  end

  def self.use
    puts "#{"Usage".cyan}: dotfiles use \"name\""
    puts
    puts ' Switches the configuration files.'
    puts
  end

  def self.save
    puts "#{"Usage".cyan}: dotfiles save"
    puts
    puts ' Backups your system\'s dotfiles.'
    puts
  end

  def self.delete
    puts "#{"Usage".cyan}: dotfiles delete \"name\""
    puts
    puts ' Completely deletes the dotfile\'s directory'
    puts '  by a given name.'
    puts
  end
end