# Copyright (c) 2018 exstnce
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# File: parser.rb
# Project: dotfiles-cli
# Author: exstnce (exstnce@protonmail.ch)
# Created on Monday, 9th July 2018 3:32:36 pm

module Option
  def self.on_empty
    if ARGV.empty?
      yield
    end
  end

  def self.on(arg)
    if arg == ARGV[0].downcase
      if ARGV.length >= 2 && !ARGV[1].strip.empty?
        yield ARGV[1].strip
      else
        yield
      end
    end
  end
end

module CommandParser
  include Option
  def self.new
    yield Option
  end
end