# Copyright (c) 2018 exstnce
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# File: fs.rb
# Project: dotfiles-cli
# Author: exstnce (exstnce@protonmail.ch)
# Created on Monday, 9th July 2018 9:47:06 pm

module FileSystem
  def self.contents(path)
    path+'*'
  end

  def self.mkdir(path)
    Dir.mkdir(path) unless File.exists?(path)
    path
  end

  def self.rglob(root)
    files = Dir.glob(root+'.*')

    files.delete(root+'.dotfiles/')
    files.delete(root+'.')
    files.delete(root+'..')

    files
  end
end