# Copyright (c) 2018 exstnce
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# File: get.rb
# Project: dotfiles-cli
# Author: exstnce (exstnce@protonmail.ch)
# Created on Sunday, 8th July 2018 5:53:22 pm

module Get
  # ~/
  @@root = File.expand_path('~')+'/'
  # ~/.dotfiles
  @@dotfiles = @@root+'.dotfiles/'

  def self.name
    print 'Save as: '
    @name = STDIN.gets.chomp.delete(' ')
    check
  end

  def self.path(name)
    @@dotfiles+name+'/'
  end

  def self.exists(name)
    path = path(name)
    unless File.exists?(path)
      puts "#{"Error".red}: #{name} does not exist"
      exit
    end
    path
  end

  def self.answer
    answer = STDIN.gets.chomp

    if answer.strip.downcase == 'y' || answer.strip == ''
      return true
    end
  false
  end

  private

  def self.check
    if @name.empty?
      name
    end

    @path = @@dotfiles+@name+'/'

    if File.exists?(@path)
      puts "#{"Warn".yellow}: #{@name} already exists"
      puts
      puts ' (1) Delete the directory'
      puts
      puts ' (2) Select a different name'
      puts
      puts ' (3) Exit'
      puts
      print 'Please, choose the desired option (default=2): '
      option = STDIN.gets.chomp.strip

      case option
        when option.length > 1
          name
        when '1'
          FileUtils.rm_rf(@path)
        when '2'
          name
        when '3'
          exit
        else
          name
      end
    end
    @name
  end
end